//  MFC ʾԴʾʹ MFC Microsoft Office Fluent û 
// (Fluent UI)ʾο
// Բ䡶Microsoft ο 
// MFC C++ 渽صĵ  
// ơʹûַ Fluent UI ǵṩġ  
// Ҫ˽й Fluent UI ɼƻϸϢ 
// http://go.microsoft.com/fwlink/?LinkId=238214
//
// Ȩ(C) Microsoft Corporation
// Ȩ

// ChildFrm.h : CChildFrame Ľӿ
//

#pragma once

/////////////////////////////////////////////////////////////////////////////
// CMXTabBar

#define ID_X_BUTTON1       1801 // Add
#define ID_X_BUTTON2       1802 // Del
#define ID_X_BUTTON3       1803 // Prev
#define ID_X_BUTTON4       1804 // Next
#define ID_X_BUTTON5       1805 // Rename

//===========================================================================
// Summary:
//     The CMXTabBar class derived from CMFCStatusBar
//      F O P Status Bar
//===========================================================================

class CMXTabBar : public CMFCStatusBar
{
public:
	// Constructor
	
	//-----------------------------------------------------------------------
	// Summary:
	// F O P Status Bar, Constructs a CMXTabBar object.
	//		Returns A  value (Object).
	CMXTabBar();

	// Change the indicators of the status bar
	// lpIDArray -- id array of the panes.
	// nIDCount -- the count of the IDs
	
	//-----------------------------------------------------------------------
	// Summary:
	// Set Indicators, Sets a specify value to current class CMXTabBar
	//		Returns BOOLvalue, TRUE on success; FALSE otherwise.  
	// Parameters:
	//		lpIDArray---I D Array, Specifies A 16-bit unsigned integer on Windows versions 3.0 and 3.1; a 32-bit unsigned integer on Win32.  
	//		nIDCount---I D Count, Specifies A integer value.
    BOOL SetIndicators(const UINT* lpIDArray, int nIDCount);
	 
	
	CFOPFlatComboBox *pComboBox;
	CFOImageButton *pBtnAdd;
	CFOImageButton *pBtnDel;
	CFOImageButton *pBtnPrv;
	CFOImageButton *pBtnNext;
	CFOImageButton *pBtnRename;
	CRect rcState;
protected:

	// style size box in corner
 
	// Size Box, This variable specifies a 32-bit signed integer on 32-bit platforms.  
	int				m_cxSizeBox;   
    
	// Double click on the panel
 
	// Pane Double Click, This member sets TRUE if it is right.  
	BOOL			m_bPaneDoubleClick;

	// Size of the box
 
	// Size Box, This member sets a CRect value.  
	CRect			m_rectSizeBox;

	// Image list.
	
	// List, This member is a collection of same-sized images.  
	CImageList		m_imgList;

	CString strState;
protected:

	//-----------------------------------------------------------------------
	// Summary:
	// This member function is also a virtual function, you can Override it if you need,  
	//		Returns BOOLvalue, TRUE on success; FALSE otherwise.
	virtual BOOL MethodTempx1() const { return FALSE; }

	// Obtain the panel width
	// nIndex -- index of the pane
	
	//-----------------------------------------------------------------------
	// Summary:
	// Get Pane Width, Returns the specified value.
	//		Returns a int type value.  
	// Parameters:
	//		nIndex---nIndex, Specifies A integer value.
	int GetPaneWidth(int nIndex) const;

	// Change the width of the pane
	// nIndex -- indes of the pane.
	// cx -- new width of the pane
	
	//-----------------------------------------------------------------------
	// Summary:
	// Set Pane Width, Sets a specify value to current class CMXTabBar
	// Parameters:
	//		nIndex---nIndex, Specifies A integer value.  
	//		cx---Specifies A integer value.
	void SetPaneWidth (int nIndex, int cx);

	// Draw the label of the status bar
	// pDC - Pointer of the dc.
	// rcPos - status bar pos.
	// strLabel -- label of the panel
	
	//-----------------------------------------------------------------------
	// Summary:
	// Do Draw Panel Label, Do a event. 
	// Parameters:
	//		*pDC---D C, A pointer to the CDC  or NULL if the call failed.  
	//		&rcPos---&rcPos, Specifies A CRect type value.  
	//		&strLabel---&strLabel, Specifies A CString type value.
	void DoDrawPanelLabel(CDC *pDC,const CRect &rcPos,const CString &strLabel);

	// Draw status bar
	// pDC - Pointer of the dc.
	// rcPos - status bar pos.
	
	//-----------------------------------------------------------------------
	// Summary:
	// Do Draw Bar, Do a event. 
	// Parameters:
	//		pDC---D C, A pointer to the CDC or NULL if the call failed.  
	//		rcPos---rcPos, Specifies A CRect type value.
	void DoDrawBar(CDC* pDC, const CRect& rcPos);

protected:
	//-----------------------------------------------------------------------
	// Summary:
	// Calculate Fixed Layout, .
	// This member function is also a virtual function, you can Override it if you need,  
	//		Returns a CSize type value.  
	// Parameters:
	//		bStretch---bStretch, Specifies A Boolean value.  
	//		bHorz---bHorz, Specifies A Boolean value.
	virtual CSize CalcFixedLayout(BOOL bStretch, BOOL bHorz);
	
	//{{AFX_MSG(CMXTabBar)
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Paint, Called to repaint a portion of the window.

	afx_msg void OnPaint();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Erase Background, Called when the window background needs erasing.
	//		Returns afx_msg BOOLvalue, TRUE on success; FALSE otherwise.  
	// Parameters:
	//		pDC---D C, A pointer to the CDC or NULL if the call failed.
	afx_msg BOOL OnEraseBkgnd(CDC* pDC);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Size, Called after the size of CWnd has changed.
	// Parameters:
	//		nType---nType, Specifies A 16-bit unsigned integer on Windows versions 3.0 and 3.1; a 32-bit unsigned integer on Win32.  
	//		cx---Specifies A integer value.  
	//		cy---Specifies A integer value.
	afx_msg void OnSize(UINT nType, int cx, int cy);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Char, Handle WM_CHAR message.
	// Parameters:
	//		nChar---nChar, Specifies A 16-bit unsigned integer on Windows versions 3.0 and 3.1; a 32-bit unsigned integer on Win32.  
	//		nRepCnt---Rep Count, Specifies A 16-bit unsigned integer on Windows versions 3.0 and 3.1; a 32-bit unsigned integer on Win32.  
	//		nFlags---nFlags, Specifies A 16-bit unsigned integer on Windows versions 3.0 and 3.1; a 32-bit unsigned integer on Win32.
	afx_msg void OnChar(UINT nChar, UINT nRepCnt, UINT nFlags);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Close, Called as a signal that CWnd should be closed.

	afx_msg void OnClose();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Create, Called as a part of window creation.
	//		Returns a int type value.  
	// Parameters:
	//		lpCreateStruct---Create Struct, Specifies a LPCREATESTRUCT lpCreateStruct object(Value).
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnSelchangeCombo1();
	afx_msg void OnHome();
	afx_msg void OnPrev();
	afx_msg void OnNext();
	afx_msg void OnDel();
	afx_msg void OnAdd();
	//-----------------------------------------------------------------------
	// Summary:
	// On Destroy, Called when CWnd is being destroyed.

	afx_msg void OnDestroy();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Draw Item, Called when a visual aspect of an owner-draw child button control, combo-box control, list-box control, or menu needs to be drawn.
	// Parameters:
	//		nIDCtl---I D Ctl, Specifies A integer value.  
	//		lpDrawItemStruct---Draw Item Struct, Specifies a LPDRAWITEMSTRUCT lpDrawItemStruct object(Value).
	afx_msg void OnDrawItem(int nIDCtl, LPDRAWITEMSTRUCT lpDrawItemStruct);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Key Down, This member function is called by the framework to allow your application to handle a Windows message.
	// Parameters:
	//		nChar---nChar, Specifies A 16-bit unsigned integer on Windows versions 3.0 and 3.1; a 32-bit unsigned integer on Win32.  
	//		nRepCnt---Rep Count, Specifies A 16-bit unsigned integer on Windows versions 3.0 and 3.1; a 32-bit unsigned integer on Win32.  
	//		nFlags---nFlags, Specifies A 16-bit unsigned integer on Windows versions 3.0 and 3.1; a 32-bit unsigned integer on Win32.
	afx_msg void OnKeyDown(UINT nChar, UINT nRepCnt, UINT nFlags);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Key Up, This member function is called by the framework to allow your application to handle a Windows message.
	// Parameters:
	//		nChar---nChar, Specifies A 16-bit unsigned integer on Windows versions 3.0 and 3.1; a 32-bit unsigned integer on Win32.  
	//		nRepCnt---Rep Count, Specifies A 16-bit unsigned integer on Windows versions 3.0 and 3.1; a 32-bit unsigned integer on Win32.  
	//		nFlags---nFlags, Specifies A 16-bit unsigned integer on Windows versions 3.0 and 3.1; a 32-bit unsigned integer on Win32.
	afx_msg void OnKeyUp(UINT nChar, UINT nRepCnt, UINT nFlags);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On L Button Down, Called when the user presses the left mouse button.
	// Parameters:
	//		nFlags---nFlags, Specifies A 16-bit unsigned integer on Windows versions 3.0 and 3.1; a 32-bit unsigned integer on Win32.  
	//		point---Specifies A CPoint type value.
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On L Button Up, Called when the user releases the left mouse button.
	// Parameters:
	//		nFlags---nFlags, Specifies A 16-bit unsigned integer on Windows versions 3.0 and 3.1; a 32-bit unsigned integer on Win32.  
	//		point---Specifies A CPoint type value.
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On L Button Double click Clk, Called when the user double-clicks the left mouse button.
	// Parameters:
	//		nFlags---nFlags, Specifies A 16-bit unsigned integer on Windows versions 3.0 and 3.1; a 32-bit unsigned integer on Win32.  
	//		point---Specifies A CPoint type value.
	afx_msg void OnLButtonDblClk(UINT nFlags, CPoint point);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Mouse Move, Called when the mouse cursor moves.
	// Parameters:
	//		nFlags---nFlags, Specifies A 16-bit unsigned integer on Windows versions 3.0 and 3.1; a 32-bit unsigned integer on Win32.  
	//		point---Specifies A CPoint type value.
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On R Button Down, Called when the user presses the right mouse button.
	// Parameters:
	//		nFlags---nFlags, Specifies A 16-bit unsigned integer on Windows versions 3.0 and 3.1; a 32-bit unsigned integer on Win32.  
	//		point---Specifies A CPoint type value.
	afx_msg void OnRButtonDown(UINT nFlags, CPoint point);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Set Cursor, This member function is called by the framework to allow your application to handle a Windows message.
	//		Returns afx_msg BOOLvalue, TRUE on success; FALSE otherwise.  
	// Parameters:
	//		pWnd---pWnd, A pointer to the CWnd or NULL if the call failed.  
	//		nHitTest---Hit Test, Specifies A 16-bit unsigned integer on Windows versions 3.0 and 3.1; a 32-bit unsigned integer on Win32.  
	//		message---Specifies A 16-bit unsigned integer on Windows versions 3.0 and 3.1; a 32-bit unsigned integer on Win32.
	afx_msg BOOL OnSetCursor(CWnd* pWnd, UINT nHitTest, UINT message);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Set Focus, This member function is called by the framework to allow your application to handle a Windows message.
	// Parameters:
	//		pOldWnd---Old Window, A pointer to the CWnd or NULL if the call failed.
	afx_msg void OnSetFocus(CWnd* pOldWnd);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Timer, Called after each interval specified in SetTimer.
	// Parameters:
	//		nIDEvent---I D Event, Specifies A 16-bit unsigned integer on Windows versions 3.0 and 3.1; a 32-bit unsigned integer on Win32.
	afx_msg void OnTimer(UINT_PTR nIDEvent);
	//}}AFX_MSG
	
	//-----------------------------------------------------------------------
	// Summary:
	// E C L A R E_ M E S S A G E_ M A P, .
	//		Returns A  value (Object).
	DECLARE_MESSAGE_MAP()

};

//===========================================================================
// Summary:
//     The CChildFrame class derived from CMDIChildWndEx
//      Child Frame
//===========================================================================

class CChildFrame : public CMDIChildWndEx
{
	
	//-----------------------------------------------------------------------
	// Summary:
	// E C L A R E_ D Y N C R E A T E, None Description.
	//		Returns A  value.  
	// Parameters:
	//		CChildFrame---Child Frame, Specifies a CChildFrame object.
	DECLARE_DYNCREATE(CChildFrame)
public:
	
	//-----------------------------------------------------------------------
	// Summary:
	// Child Frame, Constructs a CChildFrame object.
	//		Returns A  value.
	CChildFrame();
	
	void UpdateBtns();

	CFOPFlatComboBox* GetPageBox();
public:
	// Status Bar, This member specify E-XD++ CFOPStatusBar object.  
	CMXTabBar     m_wndStatusBar;
	virtual void OnHome();
	virtual void OnPrev();
	virtual void OnNext();
	virtual void OnDel();
	virtual void OnAdd();
	virtual void PageChange(const int &nIndex);
	void UpdateBox();
	//-----------------------------------------------------------------------
	// Summary:
	// Load Template File, Call this function to read a specified number of bytes from the archive.
	//		Returns TRUE on success; FALSE otherwise.  
	// Parameters:
	//		&strTFile---T File, Specifies A CString type value.
	BOOL LoadTemplateFile(const CString &strTFile);

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CChildFrame)
	public:
	
	//-----------------------------------------------------------------------
	// Summary:
	// Do Before Create Window, Called before the creation of the Windows window attached to this CWnd object.
	// This member function is also a virtual function, you can Override it if you need,  
	//		Returns TRUE on success; FALSE otherwise.  
	// Parameters:
	//		cs---Specifies a CREATESTRUCT& cs object.
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	
	//-----------------------------------------------------------------------
	// Summary:
	// Activate Frame, Activates the specified object.
	// This member function is also a virtual function, you can Override it if you need,  
	// Parameters:
	//		nCmdShow---Cmd Show, Specifies A integer value.
	virtual void ActivateFrame(int nCmdShow = -1);
	protected:
	virtual BOOL OnCreateClient(LPCREATESTRUCT lpcs, CCreateContext* pContext);
	//}}AFX_VIRTUAL

// Implementation
public:
	
	//-----------------------------------------------------------------------
	// Summary:
	// C Child Frame, Destructor of class CChildFrame
	// This member function is also a virtual function, you can Override it if you need,  
	//		Returns A  value.
	virtual ~CChildFrame();
#ifdef _DEBUG
	
	//-----------------------------------------------------------------------
	// Summary:
	// Assert Valid, Assert performs a validity check on this object by checking its internal state.
	// This member function is also a virtual function, you can Override it if you need,
	virtual void AssertValid() const;
	
	//-----------------------------------------------------------------------
	// Summary:
	// Dump, Dumps the contents of your object to a CDumpContext object.
	// This member function is also a virtual function, you can Override it if you need,  
	// Parameters:
	//		dc---Specifies a CDumpContext& dc object.
	virtual void Dump(CDumpContext& dc) const;
#endif

// Generated message map functions
protected:
	//{{AFX_MSG(CChildFrame)
	afx_msg int OnCreate(LPCREATESTRUCT LPCREATESTRUCT);
	afx_msg void OnViewRuler();
	afx_msg void OnUpdateViewRuler(CCmdUI* pCmdUI);
	afx_msg void OnViewKeybar();
	afx_msg void OnUpdateViewKeybar(CCmdUI* pCmdUI);
	afx_msg void OnAddPage();
	afx_msg void OnUpdateAddPage(CCmdUI* pCmdUI);
	//}}AFX_MSG
	afx_msg void OnBtnAdd();
	afx_msg void OnBtnDel();
	afx_msg void OnBtnRename();
	afx_msg void OnBtnPrev();
	afx_msg void OnBtnNext();
	//-----------------------------------------------------------------------
	// Summary:
	// E C L A R E_ M E S S A G E_ M A P, None Description.
	//		Returns A  value.
	DECLARE_MESSAGE_MAP()
};
